API ReferenceS-CWT PDF templates
Retrieve a PDF template
GET
/v2/credentials/compact-semantic/pdf/templates/{id}Retrieves an existing Semantic CWT credential PDF template using its ID.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
PDF Template ID
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact-semantic/pdf/templates/string"{ "id": "string", "name": "string", "fileName": "string", "fonts": [ { "name": "string", "fileName": "string" } ], "metadata": { "title": "string" }, "fields": [ { "key": "string", "value": "string", "isRequired": true, "alternativeText": "string", "fontName": "string" } ]}How would you rate this page?
Retrieve all PDF templates GET
Retrieves a list of all Semantic CWT credential PDF templates available on the tenant.
Update a PDF template PUT
Update an existing CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file.